Subject: Re: t5150-request-pull.sh fails on newest master in Debian

From: David Turner <[email-masked]>
Date: Thu, 03 Jul 2014 15:16:22 -0700

Interesting!  I wonder if the problem is with the compiler or with my
code.  I don't happen to have a Debian box handy; would it be possible
for you to compile refs.c to assembly language (gcc -S) and send me the
output?  That would help me track down the problem.

On Thu, 2014-07-03 at 23:55 +0200, Øyvind A. Holm wrote:
> When compiling newest master (v2.0.1-472-g6f92e5f) on Debian 7.5
> (64-bit), t5150-request-pull.sh fails when compiling with
> 
> $ make configure
> $ ./configure --prefix=/usr/local/varprg/git.master.v2.0.1-472-g6f92e5f
> $ make prefix=/usr/local/varprg/git.master.v2.0.1-472-g6f92e5f
> $ make
> $ cd t
> $ ./t5150-request-pull.sh
> 
> I have attached the output of t5150-request-pull.sh, but in case the
> attachment doesn't go through, I've also pasted it at
> <https://gist.github.com/sunny256/0f6ff7ffee26224dbe12>. This happened
> on two virtual servers (64 bit) hosted on Linode, with this
> configuration:
> 
> $ lsb_release -a
> No LSB modules are available.
> Distributor ID: Debian
> Description:    Debian GNU/Linux 7.5 (wheezy)
> Release:        7.5
> Codename:       wheezy
> 
> $ gcc --version
> gcc (Debian 4.7.2-5) 4.7.2
> 
> Both servers are (of course) updated with new packages from apt-get.
> 
> The test worked on my laptop which runs Ubuntu Studio 13.10. Have tried
> recompiling several times, and it fails on Debian every time.
> 
> git bisect says the bad commit is 6f92e5ff3 ("Merge branch
> 'dt/refs-check-refname-component-sse", 2014-07-02 12:53:07 -0700), but
> that's a merge. Both parent commits works, so could this be an evil
> merge?
> 
> When compiling parent commit 745224e test 6 is disabled, could that be
> the reason?
> 
> Parent commit a02ad88 passes all 7 tests.
> 
> Cheers,
> Øyvind